FreeBSD : libsndfile -- multiple vulnerabilities (5a97805e-93ef-4dcb-8d5e-dbcac263bfc2)

medium Nessus Plugin ID 99554

Language:

New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote FreeBSD host is missing one or more security-related updates.

Description

NVD reports :

In libsndfile before 1.0.28, an error in the 'flac_buffer_copy()' function (flac.c) can be exploited to cause a stack-based buffer overflow via a specially crafted FLAC file.

In libsndfile before 1.0.28, an error in the 'header_read()' function (common.c) when handling ID3 tags can be exploited to cause a stack-based buffer overflow via a specially crafted FLAC file.

In libsndfile before 1.0.28, an error in the 'flac_buffer_copy()' function (flac.c) can be exploited to cause a segmentation violation (with write memory access) via a specially crafted FLAC file during a resample attempt, a similar issue to CVE-2017-7585.

In libsndfile before 1.0.28, an error in the 'flac_buffer_copy()' function (flac.c) can be exploited to cause a segmentation violation (with read memory access) via a specially crafted FLAC file during a resample attempt, a similar issue to CVE-2017-7585.

Solution

Update the affected packages.

See Also

https://github.com/erikd/libsndfile/commit/60b234301adf

https://github.com/erikd/libsndfile/commit/708e996c87c5

https://github.com/erikd/libsndfile/commit/f457b7b5ecfe

https://github.com/erikd/libsndfile/commit/60b234301adf

http://www.nessus.org/u?32429616

Plugin Details

Severity: Medium

ID: 99554

File Name: freebsd_pkg_5a97805e93ef4dcb8d5edbcac263bfc2.nasl

Version: 3.5

Type: local

Published: 4/21/2017

Updated: 1/4/2021

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: Medium

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

CVSS v3

Risk Factor: Medium

Base Score: 5.5

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:libsndfile, p-cpe:/a:freebsd:freebsd:linux-c6-libsndfile, p-cpe:/a:freebsd:freebsd:linux-c7-libsndfile, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 4/20/2017

Vulnerability Publication Date: 4/7/2017

Reference Information

CVE: CVE-2017-7585, CVE-2017-7586, CVE-2017-7741, CVE-2017-7742